#pragma once
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
 */

/**
 * $Id: 911874ef89f6a714d38cd98397fb6d32ff96e7d1 $
 *
 * @file lib/server/auth.h
 * @brief Legacy state machine
 *
 */
RCSIDH(auth_h, "$Id: 911874ef89f6a714d38cd98397fb6d32ff96e7d1 $")

#ifdef __cplusplus
extern "C" {
#endif

#include <freeradius-devel/server/request.h>
#include <freeradius-devel/server/rcode.h>

rlm_rcode_t    	rad_virtual_server(REQUEST *);

#ifdef __cplusplus
}
#endif
