#pragma once
/*
 *   This program is is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or (at
 *   your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
 */

/**
 * $Id: ecb07a886e9171e8fa731273413372465d55cc86 $
 * @file lib/server/crypt.h
 * @brief A thread safe crypt wrapper.
 *
 * @copyright 2000-2006,2016 The FreeRADIUS server project.
 */
#ifdef __cplusplus
extern "C" {
#endif

int fr_crypt_check(char const *password, char const *reference_crypt);

#ifdef __cplusplus
}
#endif
